Skip to content

Simulate requirement submission

Request

Simulates providing everything needed for a particular KYC requirement. This can be used in place of going through a hosted journey on the browser.

This functionality only works for the following requirements: TRANSFER_PURPOSE, ID_DOCUMENT_WITH_LIVENESS, SOURCE_OF_FUNDS, and any other that has the ___ delimiter in them.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

kycReviewIdstring, (uuid)required

The ID of the existing KYC review.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
requirementstring

Requirement to simulate hosted journey for.

curl -i -X POST \
  'https://api.wise.com/2026Q4/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/requirements/submit' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "requirement": "ACCOUNT_PURPOSE"
  }'

Responses

Requirement submitted successfully. No content returned.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content